Skip to content
Developer

CRMRecurrence

CRM1 EndpointsCRM / CRMRecurrence

This method will get all CRMRecurrence Objects

GET/api/crm/crmrecurrences

Query parameters

idstring
recurrenceTypestring
recurrenceIntervalstring
recurrenceWeekdaystring
recurrenceMonthdaystring
recurrenceStartDatestring
recurrenceEndDatestring
nextOccurrencestring
lastOccurrencestring
isActivestring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of CRMRecurrence objectsarray<CRMRecurrence>

Show fields (9)
  • idinteger

    Primary key of the recurrence. Internal ID.

  • namestring

    Name of the recurrence, for example monthly.

  • onceboolean

    The recurrence happens only once.

  • allow_partial_on_eq_start_billingboolean

    Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

  • date_stringstring

    Date pattern of the recurrence as text.

  • tolerancenumber (float)

    Tolerance in days around the recurrence date.

  • deletedboolean

    The recurrence is deleted.

  • rounding_stepsinteger

    Steps used to round the recurrence.

  • month_factorinteger

    Number of months between two recurrences.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmrecurrences \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "once": true,
    "allow_partial_on_eq_start_billing": true,
    "date_string": "string",
    "tolerance": 1.5,
    "deleted": true,
    "rounding_steps": 1,
    "month_factor": 1
  }
]